Package net.shibboleth.idp.saml.profile.impl

# Class SAMLRelyingPartyIdLookupStrategy

java.lang.Object
net.shibboleth.idp.saml.profile.impl.SAMLRelyingPartyIdLookupStrategy

All Implemented Interfaces:
  `Function<RelyingPartyContext,String>`, `ContextDataLookupFunction<RelyingPartyContext,String>`

public class SAMLRelyingPartyIdLookupStrategy extends Object implements ContextDataLookupFunction<RelyingPartyContext,String>
A lookup strategy that returns a SAML entityID if the `RelyingPartyContext` contains a reference to a `SAMLPeerEntityContext` or `SAMLSelfEntityContext`.

## Constructor Summary

Constructors
Constructor
Description
`SAMLRelyingPartyIdLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(RelyingPartyContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLRelyingPartyIdLookupStrategy

public SAMLRelyingPartyIdLookupStrategy()

## Method Details

### apply

@Nullable public String apply(@Nullable RelyingPartyContext input)

Specified by:
  `apply` in interface `Function<RelyingPartyContext,String>`